#version 330

uniform sampler2D g_DiffuseTex;

uniform MaterialBlock
{
    vec4 AmbientColor;
    vec4 DiffuseColor;
    vec4 SpecularColor;
    vec4 UseTextures;
} g_Material;

in vec3 FragmentNormal;
in vec2 FragmentTex;

out vec4 PixelColor;

void main(void)
{
    float dist = texture(g_DiffuseTex, FragmentTex);
    PixelColor = vec4(floor(1.1 - dist), 0.0, 0.0, 0.0);
}