package main;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;

import logging.Logger;

/**
 * Aufbau interaktiver 3D-Engines
 * Uebungsblatt 1 Ausgabe 09.04.2013, Abgabe 19.04.2013
 * Aufgabe 3. Logging
 * 
 * @author Erik Wittkorn
 */
public class Main {
	
	/**
	 * Testausgaben um den Logger zu testen
	 */
	public static void main(String[] args) {
		
		Date datum = new Date();
		DateFormat format = new SimpleDateFormat("dd-MM-yyyy-hh-mm-ss");
		String dateString = format.format(datum);
		
		Logger.INSTANCE.open("Logger_"+dateString+".txt");
		
		Logger.INSTANCE.info("Eine nette Info");
		
		Logger.INSTANCE.warning("Eine kleine Warnung");
		
		Logger.INSTANCE.error("Ein gefaehrlicher Fehler");
		
		Logger.INSTANCE.close();
	}
}
